Multi-tenant health scores
GET
/api/v1/monitoring/tenant-health/all
const url = 'https://api.ultimateteam.ai/api/v1/monitoring/tenant-health/all?tenant_ids=example';const options = {method: 'GET', headers: {'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.ultimateteam.ai/api/v1/monitoring/tenant-health/all?tenant_ids=example' \ --header 'X-API-Key: <X-API-Key>'Returns health scores for all requested tenants.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters”tenant_ids
required
Tenant Ids
Comma-separated tenant IDs
string
Comma-separated tenant IDs
Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
Response Get All Tenant Health Api V1 Monitoring Tenant Health All Get
Array<object>
TenantHealthScoreWeighted components retain their availability independently of the total.
object
computed_at
Computed At
string
scoring_version
Scoring Version
integer
severity
Severity
string
tenant_id
Tenant Id
string
trend
Trend
string
Example
[ { "scoring_version": 2, "severity": "unknown", "tenant_id": "", "trend": "unknown" }]Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}